Package com.collibra.dgc.core.api.dto.viewpermission

# Class FindViewPermissionRequest.Builder

Object
Builder

Enclosing class:
  `FindViewPermissionRequest`

public static class FindViewPermissionRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindViewPermissionRequest`
  `build()`
  `FindViewPermissionRequest.Builder`
  `includeInherited(boolean includeInherited)`
  `FindViewPermissionRequest.Builder`
  `limit(int limit)`
  `FindViewPermissionRequest.Builder`
  `offset(int offset)`
  `FindViewPermissionRequest.Builder`
  `resourceDiscriminator(String resourceDiscriminator)`
  `FindViewPermissionRequest.Builder`
  `resourceId(UUID resourceId)`
  `FindViewPermissionRequest.Builder`
  `resourceType(ResourceType resourceType)`
  Deprecated.
  `String`
  `toString()`
  `FindViewPermissionRequest.Builder`
  `userGroupId(UUID userGroupId)`
  `FindViewPermissionRequest.Builder`
  `userId(UUID userId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### offset

    public FindViewPermissionRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindViewPermissionRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### userId

    public FindViewPermissionRequest.Builder userId(UUID userId)
    Returns:
      `this`.

  - ### userGroupId

    public FindViewPermissionRequest.Builder userGroupId(UUID userGroupId)
    Returns:
      `this`.

  - ### resourceId

    public FindViewPermissionRequest.Builder resourceId(UUID resourceId)
    Returns:
      `this`.

  - ### resourceType

    @Deprecated public FindViewPermissionRequest.Builder resourceType(ResourceType resourceType)
    Deprecated.
    Returns:
      `this`.

  - ### resourceDiscriminator

    public FindViewPermissionRequest.Builder resourceDiscriminator(String resourceDiscriminator)
    Returns:
      `this`.

  - ### includeInherited

    public FindViewPermissionRequest.Builder includeInherited(boolean includeInherited)
    Returns:
      `this`.

  - ### build

    public FindViewPermissionRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`